%define upstream_name    autovivification
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lexically disable autovivification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
When profiling some the Test::More manpage-based test script that contained
about 10 000 unit tests, I realized that 60% of the time was spent in the
Test::Builder manpage itself, even though every single test actually
involved a costly 'eval STRING'.

This module aims to be a partial replacement to the Test::More manpage in
those situations where you want to run a large number of simple tests. Its
functions behave the same as their the Test::More manpage counterparts,
except for the following differences :

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1022685
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 916572
- imported package perl-autovivification


* Mon Dec 28 2015 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
